Update Filter
curl --request PUT \
--url http://{host}:{port}/{contextPath}/filter/{id} \
--header 'Authorization: Basic <encoded-value>' \
--header 'Content-Type: application/json' \
--data '
{
"resourceType": "Task",
"name": "My Tasks",
"owner": "jonny1",
"query": {
"assignee": "jonny1"
},
"properties": {
"color": "#99CCFF",
"description": "Tasks assigned to me",
"priority": -10
}
}
'import requests
url = "http://{host}:{port}/{contextPath}/filter/{id}"
payload = {
"resourceType": "Task",
"name": "My Tasks",
"owner": "jonny1",
"query": { "assignee": "jonny1" },
"properties": {
"color": "#99CCFF",
"description": "Tasks assigned to me",
"priority": -10
}
}
headers = {
"Authorization": "Basic <encoded-value>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Basic <encoded-value>', 'Content-Type': 'application/json'},
body: JSON.stringify({
resourceType: 'Task',
name: 'My Tasks',
owner: 'jonny1',
query: {assignee: 'jonny1'},
properties: {color: '#99CCFF', description: 'Tasks assigned to me', priority: -10}
})
};
fetch('http://{host}:{port}/{contextPath}/filter/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"type": "<string>",
"message": "<string>",
"code": 123
}{
"type": "<string>",
"message": "<string>",
"code": 123
}{
"type": "<string>",
"message": "<string>",
"code": 123
}Filter
Update Filter
Updates an existing filter.
PUT
/
filter
/
{id}
Update Filter
Authorizations
Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.
Path Parameters
The id of the filter to be updated.
Body
application/json
Response
Request successful. This method returns no content.
⌘I